Subject: Re: Splitting a repository but sharing the common parts of the object database

From: Jonathan Nieder <[email-masked]>
Date: Mon, 13 Dec 2010 13:20:53 -0600

Hi Phillip,

Phillip Susi wrote:

> If I run a repack -a, then the new project has everything copied out of
> the archive and into its new main pack, rather than continuing to use
> the archive repository for old history, and just pack everything since
> then.  I guess I am looking for is somewhere between a full repack and
> an incremental; a way to make repack -a discard existing local packs,
> but to respect the alternate packs and omit objects they contain from
> the new local pack.

You might be interested in girocco's fork support.  See
http://repo.or.cz/w/girocco.git/blob/HEAD:/jobd/gc.sh for starters.

(Yes, the short answer is "-l" but showing where I got that answer
from seems a little easier. :))